<?php
// +----------------------------------------------------------------------
// | likeadmin快速開發前後端分離管理後臺（PHP版）
// +----------------------------------------------------------------------
// | 歡迎閱讀學習系統程序代碼，建議反饋是我們前進的動力
// | 開源版本可自由商用，可去除界面版權logo
// | gitee下載：https://gitee.com/likeshop_gitee/likeadmin
// | github下載：https://github.com/likeshop-github/likeadmin
// | 訪問官網：https://www.likeadmin.cn
// | likeadmin團隊 版權所有 擁有最終解釋權
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\contract;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\contract\ContractLists;
use app\adminapi\logic\contract\ContractLogic;
use app\adminapi\validate\contract\ContractValidate;


/**
 * Contract控制器
 * Class ContractController
 * @package app\adminapi\controller\contract
 */
class ContractController extends BaseAdminController
{


    /**
     * @notes 獲取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function lists()
    {
        return $this->dataLists(new ContractLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function add()
    {
        $params = (new ContractValidate())->post()->goCheck('add');
        $result = ContractLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(ContractLogic::getError());
    }


    /**
     * @notes 編輯
     * @return \think\response\Json
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function edit()
    {
        $params = (new ContractValidate())->post()->goCheck();
        $result = ContractLogic::edit($params);
        if (true === $result) {
            return $this->success('編輯成功', [], 1, 1);
        }
        return $this->fail(ContractLogic::getError());
    }


    /**
     * @notes 刪除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function delete()
    {
        $params = (new ContractValidate())->post()->goCheck('delete');
        ContractLogic::delete($params);
        return $this->success('刪除成功', [], 1, 1);
    }


    /**
     * @notes 獲取詳情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function detail()
    {
        $params = (new ContractValidate())->goCheck('detail');
        $result = ContractLogic::detail($params);
        return $this->data($result);
    }


}