<?php
// +----------------------------------------------------------------------
// | likeadmin快速開發前後端分離管理後臺（PHP版）
// +----------------------------------------------------------------------
// | 歡迎閱讀學習系統程序代碼，建議反饋是我們前進的動力
// | 開源版本可自由商用，可去除界面版權logo
// | gitee下載：https://gitee.com/likeshop_gitee/likeadmin
// | github下載：https://github.com/likeshop-github/likeadmin
// | 訪問官網：https://www.likeadmin.cn
// | likeadmin團隊 版權所有 擁有最終解釋權
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\contract;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\contract\Contract;
use app\common\lists\ListsSearchInterface;


/**
 * Contract列表
 * Class ContractLists
 * @package app\adminapi\listscontract
 */
class ContractLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 設置搜索條件
     * @return \string[][]
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function setSearch(): array
    {
        return [
            '=' => ['custom_id', 'status'],
        ];
    }


    /**
     * @notes 獲取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function lists(): array
    {
        return Contract::where($this->searchWhere)
            ->field(['id', 'custom_id', 'pdf', 'status', 'image'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 獲取數量
     * @return int
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public function count(): int
    {
        return Contract::where($this->searchWhere)->count();
    }

}