<?php
// +----------------------------------------------------------------------
// | likeadmin快速開發前後端分離管理後臺（PHP版）
// +----------------------------------------------------------------------
// | 歡迎閱讀學習系統程序代碼，建議反饋是我們前進的動力
// | 開源版本可自由商用，可去除界面版權logo
// | gitee下載：https://gitee.com/likeshop_gitee/likeadmin
// | github下載：https://github.com/likeshop-github/likeadmin
// | 訪問官網：https://www.likeadmin.cn
// | likeadmin團隊 版權所有 擁有最終解釋權
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\logic\contract;


use app\common\model\contract\Contract;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * Contract逻辑
 * Class ContractLogic
 * @package app\adminapi\logic\contract
 */
class ContractLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            Contract::create([
                'custom_id' => $params['custom_id'],
                'pdf' => $params['pdf'],
                'status' => $params['status'],
                'image' => $params['image']
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 編輯
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            Contract::update([
                'id' => $params['id'],
                'custom_id' => $params['custom_id'],
                'pdf' => $params['pdf'],
                'status' => $params['status'],
                'image' => $params['image']
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 刪除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public static function delete(array $params): bool
    {
        return Contract::destroy($params['id']);
    }


    /**
     * @notes 獲取詳情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2023/01/12 11:08
     */
    public static function detail($params): array
    {
        return Contract::findOrEmpty($params['id'])->toArray();
    }
}